<?php
/* 
What it does.
	When called periodlically from a cron job - it creates and updates an Atom/RSS 2.0 feed, of your program schedule, with this url:
	
	http://myairtimedomain.com/rss_feed/feed.xml

	It is therefore self-caching and has low system impact.
	
	The feed validates.
	
Installation Instructions
	This requires the PHP CLI to be installed
	
	Note: This small add-in does NOT modify any part of the Airtime 2.5.x code at all.
	
	Create this directory: /usr/share/airtime/public/rss_feed
	
	FTP the contents of the zip INCLUDING the .htaccess into : /usr/share/airtime/public/rss_feed
	
	Using bash: chown www-data:www-data /usr/share/airtime/public/rss_feed
	
	The rss_logo.png maybe changed for your station logo.

	Create a cron job that executes the following command every (say) 8 hours.
	
		cron php /usr/share/airtime/public/rss_feed/make_feed.php?hourstoget=8
	
Notes:
	The 'hourstoget' parameter contains the feed update interval in hours.  and MUST match
	the hourly interval of the cron job or you will get unpredictable results.
	
	Usage is then automatic but may be manually run by putting this url in a browser:
	http://myairtimedomain.com/rss_feed/make_feed.php?hourstoget=8
	*/
	
	//Uncomment for debugging
	ini_set('display_errors',1); 
	error_reporting(E_ALL);
	chdir(dirname(__FILE__));

	if( isset($_REQUEST["hourstoget"])){
		$myhours = $_REQUEST["hourstoget"];
	} else {
		// If not set - use a default of 8 hours
		$myhours = '8';
	}
	// Standard Namespaces - add more if you need them
	$xmlns = 'xmlns:content="http://purl.org/rss/1.0/modules/content/"
		xmlns:wfw="http://wellformedweb.org/CommentAPI/"
		xmlns:dc="http://purl.org/dc/elements/1.1/"
		xmlns:atom="http://www.w3.org/2005/Atom"
		xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"';
		
	header('Content-type: application/xml');
	
	require_once 'rss_feed.php'; 
	
	// standard Airtime database connection settings - normally does not need changing.
	$db_connect = 'host=localhost port=5432 dbname=airtime user=airtime password=airtime';
	$rss = new rss_feed($db_connect, $xmlns,$myhours);
	
	$myxml = $rss->create_feed();
	
	echo $myxml;

	file_put_contents('feed.xml',$myxml);
?>